slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSTOARSetDetectZeros

Sets a flag to enforce detection of zeros during the factorizations throughout the spectrum slicing computation.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetDetectZeros(PEP pep,PetscBool detect)

Logically Collective

### Input Parameters

| pep | - the eigenproblem solver context
| detect | - check for zeros

### Options Database Key

| -pep_stoar_detect_zeros | - Check for zeros; this takes an optional bool value (0/1/no/yes/true/false)

### Notes

A zero in the factorization indicates that a shift coincides with an eigenvalue.

This flag is turned off by default, and may be necessary in some cases. This feature currently requires an external package for factorizations with support for zero detection, e.g. MUMPS.

### See Also

PEPSetInterval()

### Level

advanced

### Location

src/pep/impls/krylov/stoar/stoar.c

### Examples

src/pep/tutorials/ex38.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages